import { Client } from "@cubicweb/client";
import { PropsWithChildren, createContext, useContext } from "react";

export const ClientContext = createContext<Client>(new Client(""));

export function ClientProvider({
  children,
  endpoint,
}: PropsWithChildren<{ endpoint: string }>) {
  return (
    <ClientContext.Provider value={new Client(endpoint)}>
      {children}
    </ClientContext.Provider>
  );
}

export function useClient() {
  return useContext(ClientContext);
}
