import { useApiLogout } from "@/api/cubicweb";
import { useMemo } from "react";

export function useHandleAuthErrors() {
  const logout = useApiLogout();

  const handleAuthErrors = useMemo(() => {
    return (e: unknown) => {
      if (
        e &&
        typeof e === "object" &&
        "title" in e &&
        e.title === "AuthenticationError"
      ) {
        logout();
      } else {
        throw e;
      }
    };
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, []);

  return handleAuthErrors;
}
