export type CWFile = {
  downloadUrl?: string;
  data?: Blob;
};

export type Project = {
  eid: number;
  name: string;
  virtuoso_url: string;
  activated: boolean;
  ontology_file?: CWFile;
  shacl_files?: CWFile;
  import_recipes?: Recipe[];
};

export type DataService = {
  eid: number;
  name: string;
  data_url: string;
  refresh_period: "daily" | "weekly" | "monthly";
  description?: string;
  projects?: Project[];
  import_processes?: ImportProcess[];
};

export type Recipe = {
  eid: number;
  name: string;
  dataservice: number;
  process_type: "default" | "default-dryrun";
};

export type ImportProcess = {
  eid: number;
  date: string;
  recipe: string;
  project: string;
  state: "waiting" | "ongoing" | "error" | "successful";
  dataset_url?: string;
  log_url?: string;
};
